#include <rsxnt.h>

int __settime(const struct timeval *tvp)
{
    SYSTEMTIME st;
    unsigned long gmt;

    gmt = tvp->tv_sec;
    _rsxnt_gmt2st(&gmt, &st);
    
    if (SetSystemTime(&st) == FALSE)
        return _rsxnt_get_last_errno();
    else
        return 0;
}
